module ImgMem(Addr, DataOut);
input[4:0] Addr;
output[23:0] DataOut;

reg[23:0] mem[31:0];



initial $readmemh("file.mif",mem,0,32);

assign DataOut = mem[Addr];
endmodule

module testMem;
reg[18:0] Address;
wire[23:0] DataOut;

ImgMem img1(Address,DataOut);

initial begin
assign Address = 19'b0000110011011001101;

#50
$display( DataOut);
assign Address = 19'b1111111111111111111;
#50
$display (DataOut);
end
endmodule


